#ifndef SOUNDS_H__
#define SOUNDS_H__
#include "define.h"
#include "engine.h"

class Sounds
{
    public:
        Sounds();
        ~Sounds();
        void ManageSounds(Engine* en);

    private:
        void Move(Engine* en);

        sf::SoundBuffer SelectSound(sf::SoundBuffer buffer, char& sound);
        sf::Music m_BackgroundMusic;
        sf::SoundBuffer m_buffer;
        sf::Sound m_sound1;
        char nextFootStep = 0;
};

#endif // SOUNDS_H__